listSecretStores | GET /secret-store/stores | object: stores, total, page, limit | page, limit | include_archived |
listSecrets | GET /secret-store/stores/{store_id}/secrets | object: secrets, total, page, limit | page, limit | q |
listSecretVersions | GET /secret-store/secrets/{secret_id}/versions | object: secret_id, secret_name, current_version, oldest_version, versions | none | |
listSecretIdentities | GET /secret-store/stores/{store_id}/identities | object: identities, total | none | |
listSecretIdentityScopes | GET /secret-store/identities/{identity_id}/scopes | object: scopes, total | none | |
listBuckets | GET /object-storage/buckets | object: buckets, is_truncated, next_continuation_token | limit, continuation_token | |
listS3Credentials | GET /object-storage/credentials | object: credentials | none | |
listNetworkingSites | GET /networking/sites | JSON array | none | |
listVpcs | GET /networking/vpcs | JSON array | none | site_id |
listVpcSubnets | GET /networking/vpcs/{vpc_id}/subnets | JSON array | none | |
listVpcNodes | GET /networking/vpcs/{vpc_id}/nodes | JSON array | none | |
listNatGateways | GET /networking/vpcs/{vpc_id}/nat-gateways | JSON array | none | |
listNatPortForwardingRules | GET /networking/vpcs/{vpc_id}/nat-gateways/{nat_gateway_id}/port-forwarding-rules | JSON array | none | |
listReservedIps | GET /networking/reserved-ips | JSON array | none | site_id |
listFirewallGroups | GET /networking/firewall-groups | JSON array | limit, offset | |
listFirewallGroupAttachments | GET /networking/firewall-groups/{firewall_group_id}/attachments | JSON array | limit, skip | |
listLoadBalancers | GET /networking/load-balancers | JSON array | limit, skip | status, layer, protocol |
listComputeSites | GET /compute/sites | object: sites, count | none | |
listComputePlans | GET /compute/plans | object: plans, count, vm_type, site_id, currency, billing_interval | none | vm_type, site_id, currency, billing_interval, include_availability, os_type, requires_public_ip |
listComputeImages | GET /compute/images | object: images, count, vm_type, site_id | none | vm_type, site_id |
listSnapshotStoragePlans | GET /compute/plans/snapshot-storage | object: items, source, product_code, plan_id, plan_version, billing_interval, currency, site_filter_codes | none | site_id, currency, billing_interval |
listBackupStoragePlans | GET /compute/plans/backup-storage | object: items, source, product_code, plan_id, plan_version, billing_interval, currency, site_filter_codes | none | site_id, currency, billing_interval |
listCloudVms | GET /compute/cloud-vms | JSON array | limit, offset | search, sort_by, sort_direction, status, date |
listCloudVmEvents | GET /compute/cloud-vms/{vm_id}/events | JSON array | limit | |
listCloudVmSnapshots | GET /compute/cloud-vms/{vm_id}/snapshots | object: snapshots, total | limit, offset | search |
listAllCloudVmSnapshots | GET /compute/cloud-vm-snapshots | object: snapshots, total | limit, offset | search |
listCloudVmBackupRuns | GET /compute/cloud-vms/{vm_id}/backups/runs | object: runs, total | limit, offset | search |
listAllCloudVmBackupRuns | GET /compute/cloud-vm-backups/runs | object: runs, total | limit, offset | vm_id, status, search |
listGpuVms | GET /compute/gpu-vms | JSON array | limit, offset | search, sort_by, sort_direction |
listGpuVmEvents | GET /compute/gpu-vms/{vm_id}/events | JSON array | limit | |
listGpuVmSnapshots | GET /compute/gpu-vms/{vm_id}/snapshots | object: snapshots, total | limit, offset | search |
listAllGpuVmSnapshots | GET /compute/gpu-vm-snapshots | object: snapshots, total | limit, offset | search |
listGpuVmBackupRuns | GET /compute/gpu-vms/{vm_id}/backups/runs | object: runs, total | limit, offset | search |
listAllGpuVmBackupRuns | GET /compute/gpu-vm-backups/runs | object: runs, total | limit, offset | vm_id, status, search |
listBlockStoragePlans | GET /block-storage/plans | object: items, currency, billing_interval | none | site_id, currency, billing_interval |
listBlockVolumes | GET /block-storage/volumes | JSON array | none | |
listBlockVolumeOperations | GET /block-storage/volumes/{volume_id}/operations | JSON array | none | |
listCdnDistributions | GET /cdn/distributions | object: distributions, count | none | |
listCdnCustomDomains | GET /cdn/distributions/{distribution_id}/custom-domains | object: distribution_id, default_domain, custom_domains | none | |
listContainerRegistries | GET /container-registry/registries | object: items, total, page, page_size | page, page_size | |
listContainerRegistryAccessTokens | GET /container-registry/registries/{registry_id}/access-tokens | JSON array | none | include_revoked |
listContainerRegistryRepositories | GET /container-registry/registries/{registry_id}/repositories | object: items, total, page, page_size | page, page_size | search, sort |
listContainerRegistryArtifacts | GET /container-registry/registries/{registry_id}/artifacts | object: items, total, page, page_size | page, page_size | repository_name |
listContainerRegistryVulnerabilities | GET /container-registry/registries/{registry_id}/security/vulnerabilities | object: items, total, page, page_size | page, page_size | severity, cve_id, repository_name, digest, tag, package |
listContainerRegistrySboms | GET /container-registry/registries/{registry_id}/security/sboms | object: items, page_summary, total, page, page_size | page, page_size | repository_name |